/*
 * dynamics.c
 */

/**********************************************************************
 **********************************************************************
 *
 *   2 ʬ
 *       x'(t) = a x + b y
 *       y'(t) = c x + d y
 *  ˽
 *       x(0)=x0
 *       y(0)=y0
 *  ݤʬν򤤤ơޤ
 *
 *  Υץϼ4ĤʬƤ롣
 *     main()
 *       ץ
 *       ηϡɥΥץν򤷤ˡ
 *       桼˥˥塼ǥޥɤϤƤ餦
 *       ºݤη׻ΤۤȤɤ¾ץǤƤ롣
 *     draworbit(x0,y0,h,tlimit)
 *       (x0,y0) ͤȤεƻ
 *        h׻֤ tlimit Ȥ롣
 *       η׻ˤ Runge-Kutta ˡѤ롣
 *     fx(x,y)
 *       ʬαդ x ʬ
 *     fy(x,y)
 *       ʬαդ y ʬ
 **********************************************************************/

#include <stdio.h>
#include <math.h>
#include "fplot.h"

/*  A ʬcommon ʸˤ function fx,fy ȶͭ*/
double a, b, c, d;
/* ɥɽϰϡcommon ʸˤ draworbit ȶͭ*/
double xleft, xright, ybottom, ytop;

void draworbit(double, double, double, double);

int main()
{
    /*  */
    double x0, y0;
    /* ֤ι׻ */
    double h, tlimit, newh, newT;
    /* ˥塼ФϤ륳ޥɤֹ */
    int cmd;
    /* ޥΥܥξ */
    int lbut, mbut, rbut;
    /* ɥɽϰϤ */
    xleft = -1.0;
    xright = 1.0;
    ybottom = -1.0;
    ytop = 1.0;
    /* ֹ׻֡ʤȤꤢ */
    h = 0.01;
    tlimit = 10.0;
    /* ʬ */
    printf(" a,b,c,d=");
    scanf("%lf %lf %lf %lf", &a, &b, &c, &d);
    /* ɥ򳫤*/
    openpl();
    fspace2(xleft, ybottom, xright, ytop);
    /* x y  */
    fline(xleft, 0.0, xright, 0.0);
    fline(0.0, ybottom, 0.0, ytop);
    xsync();
    /* ᥤ󡦥롼פ */
    while (1) {
        /* ˥塼ɽơ򤹤뤫ֹ򤷤Ƥ餦 */
        printf("Ȥֹǲ\n");
        printf(" -1:˥塼λ, 0:ͤΥ, 1:ͤΥޥ,");
        printf("  2: h,׻ T ѹ( h=%7.4f, T=%7.4f)\n",
               h, tlimit);
        scanf("%d", &cmd);
        /* ֹ cmd ˱ơؼ줿Ż򤹤 */
        if (cmd == 0) {
            /* ͤ*/
            printf("  x0,y0=");
            scanf("%lf %lf", &x0, &y0);
            draworbit(x0, y0, h, tlimit);
        } else if (cmd == 1) {
            while (1) {
                printf("ޥκܥǽͤꤷƲ (ܥ)\n");
                fmouse(&lbut, &mbut, &rbut, &x0, &y0);
                if (lbut == 1) {
                    printf("(x0,y0)=(%g,%g)\n", x0, y0);
                    draworbit(x0, y0, h, tlimit);
                } else if (mbut == 1) {
                    printf("(x0,y0)=(%g,%g)\n", x0, y0);
                    draworbit(x0, y0, -h, tlimit);
                } else {
                    printf("ޥˤͤϤǤڤޤ\n");
                    break;
                }
            }
        } else if (cmd == 2) {
            /* ֹ׻֤ѹ */
            printf(" ֹ h, ׻ T= ");
            scanf("%lf %lf", &newh, &newT);
            if (newh != 0 && newT != 0) {
                h = newh;
                tlimit = newT;
                printf("ֹ h = %g, ׻ T = %g\n",
                       h, tlimit);
            } else {
                printf(" h=%g, T=%g ŬǤ\n", newh, newT);
            }
        } else if (cmd == -1) {
            /* λ -- ᥤ󡦥롼פȴ */
            break;
        }
    }
    mkplot("dynamics.plot");
    printf("fplotɥ򺸥ܥǥåƲ\n");
    closepl();
    return 0;
}

/***********************************************************************/
/***********************************************************************/
/*      ؼ줿ͤФƻ*/
void draworbit(double x0, double y0, double h, double tlimit)
{
    double x, y, fx(), fy();
    double k1x, k1y, k2x, k2y, k3x, k3y, k4x, k4y, t;
    /*  0 ˥åȤ */
    t = 0.0;
    /* ͤΥå */
    x = x0;
    y = y0;
    /*  */
    fpoint(x, y);
    /* 롼פ */
    do {
        /* Runge-Kutta ˡˤ׻ */
        /* k1 η׻ */
        k1x = h * fx(x, y);
        k1y = h * fy(x, y);
        /* k2 η׻ */
        k2x = h * fx(x + k1x / 2.0, y + k1y / 2.0);
        k2y = h * fy(x + k1x / 2.0, y + k1y / 2.0);
        /*  k3 η׻ */
        k3x = h * fx(x + k2x / 2.0, y + k2y / 2.0);
        k3y = h * fy(x + k2x / 2.0, y + k2y / 2.0);
        /*  k4 η׻ */
        k4x = h * fx(x + k3x, y + k3y);
        k4y = h * fy(x + k3x, y + k3y);
        /*  (Xn+1,Yn+1) η׻ */
        x += (k1x + 2.0 * k2x + 2.0 * k3x + k4x) / 6.0;
        y += (k1y + 2.0 * k2y + 2.0 * k3y + k4y) / 6.0;
        /* ƻФ */
        fcont(x, y);
        /*  1 ƥåʬʤ */
        t += h;
        /* ޤϰ⤫ɤå */
    }
    while (abs(t) <= fabs(tlimit));
    /* ֥롼ȴ */
    /* μ¤褬ΤԤ */
    xsync();
}

/**********************************************************************/
/**********************************************************************/
/* ʬαդΥ٥ȥʹؿ f  x ʬ */
double fx(double x, double y)
{
    return a * x + b * y;
}

/* ʬαդΥ٥ȥʹؿ f  y ʬ */
double fy(double x, double y)
{
    return c * x + d * y;
}
