#include <stdio.h>
#include <math.h>
#include "fplot.h"

int main()
{
	int i, n;
	double h, x, y, f(double);
	double a, b;
	a = -0.2; b = 1.2;
	n = 100;
	h = (b - a) / n;
	openpl();
	fspace2(a - h, -0.2, b + h, 1.2);
	fmove(a, f(a));
	for (i = 0; i <= n; i++) {
		x = a + i * h;
		y = f(x);
		fcont(x, y);
	}
	closepl();
	return 0;
}

double f(double x)
{
	if (x < 0.0 || x > 1.0)
		return 0.0;
	else if (x <= 0.5)
		return x;
	else
		return 1.0 - x;
}
