#include <stdio.h>
#include <math.h>

int main()
{
	double s(double, int);
	printf("s(0.5, 10)=%g, sin(0.5)=%g\n", s(0.5, 100), sin(0.5));
	return 0;
}

double s(double x, int n)
{
	int i, m;
	double sum, y, x2;
	if (n <= 0)
		return 1.0;
	else if (n == 1)
		return x;
	x2 = x * x;
	y = x;
	sum = x;
	m = 1;
	for (i = 2; i <= n; i++) {
		m *= (2 * i - 2) * (2 * i - 1);
		y *= - x2 / m;
		sum += y;
		printf("m=%d, y=%g, sum=%g\n", m, y, sum);
		if (fabs(y) / fabs(sum) < 1.0e-18)
			break;
	}
	return sum;
}
