* reidai8-2.f
*       空気抵抗を考慮した、投げ上げたボールの運動
      program rei82
      integer j,N
      real u0,v0,u,v,a,b,h,t
      real k1u,k1v,k2u,k2v,k3u,k3v,k4u,k4v,fu,fv
      external fu,fv
*
      u0=0.0
*      投げ上げの速度、分割数、開始時刻、終了時刻の入力
      write(*,*) ' V0,NSTEP,START_TIME,END_TIME= '
      read(*,*) v0,N,a,b
*      時間刻み幅の計算
      h=(b-a)/N
*
      t = a
      u = u0
      v = v0
      write(*,*) t,u,v
*      繰り返す
      do 10 j=0,N-1
         k1u = h * fu(t, u, v)
         k1v = h * fv(t, u, v)
         k2u = h * fu(t + h / 2, u + k1u / 2, v + k1v / 2)
         k2v = h * fv(t + h / 2, u + k1u / 2, v + k1v / 2)
         k3u = h * fu(t + h / 2, u + k2u / 2, v + k2v / 2)
         k3v = h * fv(t + h / 2, u + k2u / 2, v + k2v / 2)
         k4u = h * fu(t + h, u + k3u, v + k3v)
         k4v = h * fv(t + h, u + k3u, v + k3v)
         u = u + (k1u + 2 * k2u + 2 * k3u + k4u) / 6
         v = v + (k1v + 2 * k2v + 2 * k3v + k4v) / 6
*         次の行は以前のプログラムでは t=t+h であったが正確さのため修正
         t = a + (j + 1) * h
         write(*,*) t,u,v
   10 continue
      end
**********************************************************************
      real function fu(t,u,v)
      real t,u,v
      fu = v
      end
*
      real function fv(t,u,v)
      real t,u,v,g,c
      parameter (g=9.8,c=0.1)
      fv = -g-c*v*abs(v)
      end
